package cn.com.qmth.examcloud.tool.service;

import cn.com.qmth.examcloud.tool.config.SysProperty;
import cn.com.qmth.examcloud.tool.utils.HttpHelper;
import cn.com.qmth.examcloud.tool.utils.JsonMapper;
import cn.com.qmth.examcloud.tool.vo.User;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
public class CommonService {

    private final static Logger log = LoggerFactory.getLogger(CommonService.class);

    @Autowired
    private SysProperty sysProperty;

    public User login(String domain, String loginName, String password) {
        Map<String, Object> params = new HashMap<>();
        // params.put("rootOrgId", 0L);
        params.put("domain", domain);
        params.put("accountType", "COMMON_LOGIN_NAME");
        params.put("accountValue", loginName);
        params.put("password", password);

        String url = sysProperty.getServerUrl() + "/api/ecs_core/auth/login";
        String result = HttpHelper.post(url, null, params);
        log.info("LOGIN_IN {}", result);

        return new JsonMapper().parseJson(result, User.class);
    }

}
